RBasic Struct Reference

`#include <ruby.h>`

## Data Fields

VALUE | flags
VALUE | klass

## Detailed Description

Definition at line 596 of file ruby.h.

## Field Documentation

VALUE RBasic::flags

Definition at line 597 of file ruby.h.

Referenced by chain_finalized_object(), count_objects(), gc_mark(), gc_mark_all(), gc_mark_children(), make_deferred(), objspace_each_objects(), os_obj_of_i(), rb_intern3(), slot_sweep(), and vm_init2().

VALUE RBasic::klass

Definition at line 598 of file ruby.h.

Referenced by gc_mark_children(), os_obj_of_i(), rb_intern3(), and vm_init2().

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h